package com.huimv.eartag.service;

import java.text.ParseException;
import java.util.Map;

public interface IDataService {
    //
    String handleClientAsk(String receiveData) throws ParseException;

    //解析客户端请求
    Map parseDeviceAsk(String askText) throws ParseException;

    //判断设备有效性
    boolean isValidDevice(String cmdHeader, String idCode, String cmd);

    //获取设备应答
    String getDeviceAnswer(String cmdHeader, String cmd, String idCode) throws ParseException;

    //发送消息
    void sendBizMQ(String cmdHeader, String cmd, String askText);

    //发送设备消息
    void sendEartagMQ(Map map);

    //
    String getDeviceCodeByChipId(String idCode);

    //发送耳标消息
    void sendDeviceMQ(Map map);

    //判断是否是工作状态的设备
    boolean isWorkStatusDevice(String idCode);

    //检查是否是有效设备
    boolean isEffectiveDevice(String idCode);
}
